Imports CamadaDTO
Imports CamadaDAL
Public Class UsuarioBLL
    Public Function GetTodosEnsaios() As List(Of Usuario)
        Dim db As New UsuarioDAL
        Return db.GetUsuarios()
    End Function

    Public Function GetUsuarioPorNome(ByVal _nome As String) As List(Of Usuario)
        Dim db As New UsuarioDAL
        Return db.GetUsuarioPorNome(_nome)
    End Function

    Public Function GetUsuarioPorNumero(ByVal _numeroUsuario As Integer) As Usuario
        Dim db As New UsuarioDAL
        Return db.GetUsuarioPorNumero(_numeroUsuario)
    End Function

    Public Function GetUsuarioPorUsuario(ByVal _usuario As String) As Usuario
        Dim db As New UsuarioDAL
        Return db.GetUsuarioPorUsuario(_usuario)
    End Function

    Public Function SalvarFormUsuario(ByVal _usuario As Usuario, ByVal numeroUsuario As Integer) As String
        Dim db As New UsuarioDAL
        Return db.SalvarFormUsuario(_usuario, numeroUsuario)
    End Function

    Public Function DeletarUsuario(ByVal _numeroUsuario As Integer) As Boolean
        Dim db As New UsuarioDAL
        Return db.DeletaUsuario(_numeroUsuario)
    End Function


End Class
